package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.dto.CostbgFixedDto;

/**
 * 预算单位成本变动
 *
 * @author 陈浩
 * @date 2021/3/22
 */
public interface CustomFixedPlanService {

    /**
     * 添加计划
     *
     * @param year 年份
     * @return true
     */
    boolean insertPlan(String year);

    /**
     * 添加计划详情
     *
     * @param costbgFixedDto vo
     * @return true
     */
    boolean insertPlanInfo(CostbgFixedDto costbgFixedDto);

    /**
     * 删除计划
     *
     * @param id 计划id
     * @return true
     */
    boolean deletePlan(String id);

    /**
     * 查看计划
     *
     * @param page  page
     * @param year  年份
     * @param state 状态
     * @return page
     */
    Page selectPlan(Page page, String year, String state);


    /**
     * 修改计划详情
     *
     * @param costbgFixedDto vo
     * @return true
     */
    boolean updatePlanInfo(CostbgFixedDto costbgFixedDto);

}
